/*******************************************************
//
//	Name: CExplosionObject.h
//
//	Author: Dave Ratti
//
//	Date: 3-10-02
//
//	Modified:
//
//	Notes: Explosions
//
//
//
*********************************************************/

#ifndef CEXPLOSION_OBJECT
#define CEXPLOSION_OBJECT

#include "CGameObject.h"
#include "CMap.h"
#include "STRINGC.h"
#include "CAnimation.h"


class CExplosionObject: public CGameObject
{

public:

	CExplosionObject();
	virtual ~CExplosionObject();

	void Init(int x, int y, int dx, int dy, int strength);
	

	virtual void Update();
	virtual void Draw();
	virtual void Collision(CGameObject* obj);
		
	
protected:

	int			m_EnergyLeft;				//Each square it travels takes "1" energy
	POINT		m_directionPoint;			//Direction point ("velocity" if you want)	

	void		expand(int dx, int dy);		//expand the bounding box


};


#endif